Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SbVec3fList Class Reference
[Base classes]

The SbVec3fList class is a container for arrays of SbVec3f pointers. More...

`#include <Inventor/lists/SbVec3fList.h>`

Inheritance diagram for SbVec3fList:

List of all members.

## Public Methods
| SbVec3fList (void)
| ~SbVec3fList ()
void | append (const SbVec3f *item)
void | insert (const SbVec3f *item, const int insertbefore)
SbVec3f * | operator[] (const int idx) const

## Detailed Description

The SbVec3fList class is a container for arrays of SbVec3f pointers.

Note that upon using the equality and inequality operators, the SbVec3f objects themselves are not compared, only the pointer values.

Note also that all calls to append() and insert() will cause the list to allocate a new SbVec3f object. These objects are freed when the list is destructed.

See also:
  SbList

## Constructor & Destructor Documentation

SbVec3fList::SbVec3fList | ( | void |  | ) | `[inline]`

| Default constructor.

SbVec3fList::~SbVec3fList | ( |  | ) |

| Destructor.

## Member Function Documentation

void SbVec3fList::append | ( | const SbVec3f * | item | ) | `[inline]`

| Overridden from parent to allocate a new SbVec3f instance when called. See also: SbPList::append()

void SbVec3fList::insert | ( | const SbVec3f * | item,
|  | const int | insertbefore
| ) | `[inline]`

| Overridden from parent to allocate a new SbVec3f instance when called. See also: SbPList::insert()

SbVec3f * SbVec3fList::operator[] | ( | const int | idx | ) | const`[inline]`

| Overridden from parent to return an SbVec3f. Reimplemented from SbPList.

The documentation for this class was generated from the following files:

- SbVec3fList.h
- SbVec3fList.cpp